package com.tanpu.feo.feojob.dao.user.mapper;

import com.tanpu.feo.feojob.dao.user.entity.TagCategory;
import com.tanpu.feo.feojob.dao.user.entity.TagCategoryExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

public interface TagCategoryMapper {
    @Select("select distinct id from tag_category where org_id=#{orgId}")
    List<String> selectDistinctIdByOrgId(@Param("orgId") String orgId);

    long countByExample(TagCategoryExample example);

    int deleteByExample(TagCategoryExample example);

    int deleteByPrimaryKey(String id);

    int insert(TagCategory record);

    int insertSelective(TagCategory record);

    List<TagCategory> selectByExample(TagCategoryExample example);

    TagCategory selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TagCategory record, @Param("example") TagCategoryExample example);

    int updateByExample(@Param("record") TagCategory record, @Param("example") TagCategoryExample example);

    int updateByPrimaryKeySelective(TagCategory record);

    int updateByPrimaryKey(TagCategory record);
}