package com.tanpu.feo.feojob.feign.wxmp;

import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @author: zejia
 */
@Slf4j
@Component
public class FeignbackForWxMp implements FallbackFactory<FeignClientForWxMp> {
    @Override
    public FeignClientForWxMp create(Throwable throwable) {
        return new FeignClientForWxMp() {

            @Override
            public void sendMessage(String appId, String openId, String value) {
                log.error("FeignClientForWxMp.sendMessage 发送客服消息给单个人参数: appId:{},openId:{},value:{}", appId, openId, value);
                log.error("FeignClientForWxMp.sendMessage 发送客服消息给单个人异常", throwable);
            }
        };
    }
}
