package com.tanpu.feo.feojob.dao.user.mapper;

import com.tanpu.feo.feojob.dao.user.entity.CurriculumRes;
import com.tanpu.feo.feojob.dao.user.entity.CurriculumResExample;

import java.util.Date;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

public interface CurriculumResMapper {

    @Select("select id from curriculum_res where org_id=#{orgId}")
    List<String> selectIdByOrgId(@Param("orgId") String orgId);

    @Select("select max(create_time) from curriculum_res where org_id=#{orgId}")
    Date selectMaxCreateTimeByOrgId(@Param("orgId") String orgId);

    long countByExample(CurriculumResExample example);

    int deleteByExample(CurriculumResExample example);

    int deleteByPrimaryKey(String id);

    int insert(CurriculumRes record);

    int insertSelective(CurriculumRes record);

    List<CurriculumRes> selectByExampleWithBLOBs(CurriculumResExample example);

    List<CurriculumRes> selectByExample(CurriculumResExample example);

    CurriculumRes selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") CurriculumRes record, @Param("example") CurriculumResExample example);

    int updateByExampleWithBLOBs(@Param("record") CurriculumRes record, @Param("example") CurriculumResExample example);

    int updateByExample(@Param("record") CurriculumRes record, @Param("example") CurriculumResExample example);

    int updateByPrimaryKeySelective(CurriculumRes record);

    int updateByPrimaryKeyWithBLOBs(CurriculumRes record);

    int updateByPrimaryKey(CurriculumRes record);
}